Jump to content


Check out our Community Blogs

Register and join over 40,000 other developers!


Recent Status Updates

View All Updates

Photo
- - - - -

Shellshock bug with PHP in fastcgi mode?

shellshock shell shock bug security fastcgi fast cgi

This topic has been archived. This means that you cannot reply to this topic.
1 reply to this topic

#1 elliottveares

elliottveares

    CC Resident

  • Advanced Member
  • PipPipPipPip
  • 56 posts

Posted 13 October 2014 - 08:55 AM

Hi all, I have recently discovered about the the shellshock bug and I have a Cent OS 6.5 linux based Apache web server running php 5.6.1 in fastcgi mode.

 

Is my system vulnerable to the shell shock bug and if so how do I guard against it?

 

Help much appreciated,

 

Regards: Elliott 


Issue resolved, lucky Cent OS 6.5 has been patched and my server has bash version: 4.1.2-15.el6_5.2



#2 WingedPanther73

WingedPanther73

    A spammer's worst nightmare

  • Moderator
  • 17757 posts

Posted 13 October 2014 - 11:14 AM

https://en.wikipedia..._(software_bug)

 

Start by testing whether you're vulnerable. It depends on your version of Bash, not Apache/PHP.


Programming is a branch of mathematics.
My CodeCall Blog | My Personal Blog

My MineCraft server site: http://banishedwings.enjin.com/





Recommended from our users: Dynamic Network Monitoring from WhatsUp Gold from IPSwitch. Free Download